- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LotusSpreadsheetInternal::RowStyles Struct Reference

a class used to store the styles of a row in LotusSpreadsheet More...

## Public Member Functions
| RowStyles ()
| constructor More...

## Public Attributes
std::map< Vec2i, Style > | m_colsToStyleMap
| a map Vec2i(minCol,maxCol) to style More...

## Detailed Description

a class used to store the styles of a row in LotusSpreadsheet

## Constructor & Destructor Documentation

LotusSpreadsheetInternal::RowStyles::RowStyles | ( |  | ) |
| inline

constructor

## Member Data Documentation

std::map<Vec2i, Style> LotusSpreadsheetInternal::RowStyles::m_colsToStyleMap

a map Vec2i(minCol,maxCol) to style

Referenced by LotusSpreadsheet::readRowFormats(), and LotusSpreadsheet::sendRowContent().

The documentation for this struct was generated from the following file:

- LotusSpreadsheet.cpp